* {
  font-family: "Montserrat", sans-serif !important;
  font-weight: 500 !important;
}
.groption {
  font-weight: bold !important;
}
video {
  object-fit: cover; /* so the video covers all the available space */
  object-position: center; /* not required */
  border-radius: 6px;
}
input.hide-input,
select.hide-input,
div.hide-input {
  display: none !important;
}
.placeholder {
  display: inline-block;
  min-height: 1em;
  vertical-align: middle;
  cursor: wait;
  background-color: transparent !important;
  opacity: 0.5;
}
.azome-primary-color {
  color: #7c3a04;
}
.azome-bg-primary {
  background-color: #7c3a04 !important;
  color: white !important;
}

.azome-bg-gray {
  background-color: #d1d5db !important;
}

.azome-gray-color {
  color: #d4d4d8 !important;
}

.azome-secondary-color {
  color: #c49a6c !important;
}

.azome-bg-secondary {
  background-color: #c49a6c !important;
}

.azome-black-color {
  color: #000000 !important;
}

.azome-bg-black {
  background-color: #000000 !important;
}

.azome-border-gray {
  border: solid 1px #ced4da;
}

[dir] .form-control.is-invalid,
[dir] .was-validated .form-control.un-typing:invalid {
  border-color: #e5e7eb !important;
}
.no-show {
  display: none !important;
}
.multiselect-dropdown {
  height: 40px !important;
  width: 100% !important;
}
.multiselect-dropdown.border-danger {
  border: 1px solid red !important;
}
.multiselect-dropdown.border-black {
  border: 1px solid #d1d5db !important;
}

.border-black {
  border: 1px solid #d1d5db !important;
}

.cursor-pointer {
  cursor: pointer !important;
}

button.round {
  color: white;
  border: none;
  padding: 5px;
  font-size: 15px;
  height: 30px;
  z-index: 20000;
  width: 30px;
  border-radius: 50%;
  /*    box-shadow: 0 2px 4px darkslategray;*/
}

.avatar-img.round {
  padding: 5px;
  position: relative;
  height: 150px;
  width: 150px;
  border: 1px dotted #a3a3a3;
  border-radius: 50%;
  background-image: url("../img/noImage.jpg");
  background-position: center;
  background-size: contain;
}

.avatar-img-small.round {
  padding: 5px;
  position: relative;
  height: 100px;
  width: 100px;
  border: 1px dotted #a3a3a3;
  border-radius: 50%;
  background-image: url("../img/noImage.jpg");
  background-repeat: no-repeat !important;
  background-position: center;
  background-size: contain;
}

.relative-avatar {
  position: relative !important;
  height: 150px;
  width: 150px;
}

.edit-avatar-pencil,
.edit-avatar-pencil-no-action {
  position: absolute;
  top: 7px;
  right: 15px;
  display: flex;
  font-size: 20px;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.hidden-visibility {
  display: none !important;
}

/**  UTILITY CSS **/

.fs-12 {
  font-size: 12px;
}

.fs-14 {
  font-size: 14px;
}

.fs-16 {
  font-size: 16px;
}

.fs-10 {
  font-size: 10px;
}
.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.line-clamp-3 {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.swal2-select {
  margin: 0 20px !important;
}

.swal2-styled {
  margin: 0 3px !important;
}

ul.password_control li.check:before {
  content: "✓";
  margin-right: 10px;
}
ul.password_control li.error:before {
  content: "x";
  margin-right: 10px;
}

/* width */
::-webkit-scrollbar {
  width: 10px;
  height: 5px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 10px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.mouse-hover {
  cursor: pointer;
}
.mouse-hover:hover {
  background-color: #e5e7eb !important;
  transition: all 2s;
}
.required-field {
  font-size: 18px;
  color: red;
}
.note-editable {
  z-index: 0 !important;
}
.note-toolbar {
  z-index: 0 !important;
}
.conversation-item {
  cursor: pointer;
}
.conversation-item.active {
  background-color: #dcfce7 !important;
}
.conversation-item.delete {
  background-color: #fee2e2 !important;
}
.conversation-item:hover {
  background-color: #e4e4e7 !important;
  cursor: pointer;
}

.hide {
  display: none;
}

.clignotant {
  background-color: red;
  color: white;
  padding: 15px 30px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  animation: clignoter 1s infinite;
}

.bg-red {
  background-color: red;
}

/* Animation pour faire clignoter le bouton */
@keyframes clignoter {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.fs-12 {
  font-size: 12.5px;
}
.fs-8 {
  font-size: 8px;
}
.fs-6 {
  font-size: 6px;
}
.fs-10 {
  font-size: 10px;
}
.fs-11 {
  font-size: 11px;
}
.fs-14 {
  font-size: 14px;
}
.fs-16 {
  font-size: 16;
}
.text-red,
.text-danger {
  color: red !important;
}
.hachure {
  background-image: linear-gradient(
    45deg,
    #e4e4e7 30%,
    transparent 25%,
    transparent 50%,
    #e4e4e7 50%,
    #e4e4e7 75%,
    transparent 75%,
    transparent
  );
  background-size: 20px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #e4e4e7;
  font-size: 18px;
  font-weight: bold;
  opacity: 0.8; /* Pour rendre la hachure semi-transparente */
}
